﻿body {
    background-image: url('../../images/shared/baka-webapp-bg.jpg');
    background-size: cover;
}

/* Dropdown Button */
.dropbtn {
    background-color: transparent;
    color: #828282;
    font-size: 32px;
    border: none;
    cursor: pointer;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

    .dropdown:hover {
        background-color: #5c7986;
    }

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

    /* Links inside the dropdown */
    .dropdown-content a {
        color: #555555;
        padding: 7px 16px;
        text-decoration: none;
        display: block;
    }

        /* Change color of dropdown links on hover */
        .dropdown-content a:hover {
            background-color: #ddd;
        }

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {
    background-color: #5c7986;
    color: #fff;
}

/* Remove outline on focus */
.dropbtn:focus {
    outline: none;
}

.bk-timetable-btngroup {
    height: 28px;
    background: #F8F8F8;
}

    .bk-timetable-btngroup > label {
        font-size: 13px;
        line-height: 16px;
        font-family: Source Sans Pro;
        border: 1px solid #9B9B9B;
        color: #555555;
    }

    .bk-timetable-btngroup > .btn-secondary:not(:disabled):not(.disabled).active {
        color: #fff;
        border: 1px solid #9B9B9B;
        background-color: #5c7986;
    }

    .bk-timetable-btngroup > .btn-secondary {
        background-color: #F8F8F8;
        color: #555555;
    }

/** Header **/
.bk-timetable-header-print {
    padding: 5px;
    display: none;
}

.bk-timetable-header {
    height: auto;
    background: #fff;
    position: fixed;
    z-index: 5;
    box-shadow: 0 0 4px 0 rgba(0,0,0,.25);
}

.bk-header-caption {
    padding-top: 5px;
    color: #6F6F6F;
    font-size: calc(13px + 0.5vw);
    margin-left: 1%;
}

.bk-timetable-selects {
    margin-left: 1%;
}

.bk-timetable-class-teacher {
    font-size: 13px;
    color: #6F6F6F;
    font-family: Source Sans Pro;
    line-height: 2;
}

    .bk-timetable-selects .ico32-ovladani-smerovkaDolu:before {
        content: "\e946";
        position: absolute;
        right: 2px;
        top: -2px;
        font-size: 32px;
        pointer-events: none;
    }

    .bk-timetable-selects > .custom-select {
        width: inherit;
    }

    .bk-timetable-selects select {
        height: 28px;
        border-color: #9b9b9b;
        background: #F8F8F8;
        padding-right: 32px;
        font-family: Source Sans Pro !important;
    }

.custom-select:focus {
    border-color: #00a2e2;
    outline: 0;
    box-shadow: inset 0 1px 2px rgba(0,0,0,.075), 0 0 5px rgba(0,162,226,.5);
}

.custom-select {
    -webkit-appearance: none;
    padding-right: 5px;
    padding-left: 10px;
    padding-top: 0px;
    padding-bottom: 0px;
    height: auto;
    line-height: 2;
}

    .custom-select, .custom-select > option {
        font-size: 13px;
        color: #555555;
    }

.bk-timetable-label {
    font-size: 13px;
    color: #6F6F6F;
    text-align: left;
    padding-right: 6px;
    line-height: 2;
    font-family: Source Sans Pro !important;
}

.bk-timetable-school {
    color: #6F6F6F;
    font-size: 25px;
}

.bk-timetable-title {
    color: #6F6F6F;
    font-size: 18px;
}

.bk-timetable-main {
    min-height: 80vh;
}

    .bk-timetable-main .bk-timetable-hours {
        min-height: 44px;
    }

.bk-timetable-hours .bk-hour-wrapper .hour {
    line-height: calc(5px + 0.4vw);
    min-height: calc(7px + 0.4vw);
    font-size: calc(5px + 0.4vw);
    letter-spacing: -0.3px;
}

.bk-timetable-hours .bk-hour-wrapper .num {
    font-size: calc(9px + 0.8vw);
    line-height: calc(9px + 0.8vw);
    min-height: calc(13px + 0.8vw);
}

.bk-timetable-cell .day-item .middle {
    font-size: calc(12px + 1vw);
    line-height: calc(12px + 1vw);
}

.bk-timetable-cell .day-item .day-item-hover:not(.multi) .bottom {
    min-height: 27px;
}

.bk-timetable-cell .day-item .multi .middle {
    font-size: calc(12px + 0.6vw);
    line-height: calc(12px + 0.6vw);
    padding-bottom: 2px;
}

.bk-timetable-cell .day-item .multi .bottom {
    font-size: calc(4px + 0.6vw);
    line-height: calc(4px + 0.6vw);
    padding-top: 2px;
    padding-bottom: 2px;
}

.bk-timetable-cell .day-item .multi .top .left {
    height: 18px;
}

.bk-timetable-cell .day-item .bottom {
    font-size: calc(4px + 0.7vw);
    line-height: calc(4px + 0.7vw);
}

.bk-timetable-cell .day-item .top .left {
    font-size: 13px;
    line-height: 13px;
}

.bk-timetable-day {
    min-width: 65px;
    width: 65px;
}

    .bk-timetable-day.day-name .bk-day-date {
        font-size: calc(8px + 0.8vw);
        line-height: calc(8px + 0.8vw);
    }

    .bk-timetable-day.day-name .bk-day-day {
        font-size: calc(8px + 0.8vw);
        line-height: calc(8px + 0.8vw);
    }

.bk-timetable-row {
    min-height: 120px;
}

.bk-timetable-main .bk-timetable-hours-wrapper,
.bk-timetable-days-wrapper {
    background-color: #fff;
}

    .bk-timetable-main .bk-timetable-hours-wrapper .bk-timetable-dayEmptyPlace {
        min-width: 65px;
    }

.bk-hour-wrapper.nextLayer {
    height: 45px;
}

/** TouchMode **/
.bk-touchMode-panel {
    min-height: 100px;
    margin-left: 1%;
    margin-bottom: 2px;
    padding-top: 15px;
}

    .bk-touchMode-panel .btns-wrap {
        width: 80%;
    }

@media (max-width: 920px) {
    .bk-touchMode-panel .btns-wrap {
        flex-wrap: wrap;
    }
}

.bk-touchMode-panel .btn-group {
    height: 28px;
}

    .bk-touchMode-panel .btn-group label {
        color: #fff;
        font-size: 13px;
        line-height: 16px;
        border: 1px solid #ABB9BF;
        border-radius: 16px;
        font-weight: 500;
        padding-left: 14px;
        padding-right: 14px;
    }

        .bk-touchMode-panel .btn-group label:focus,
        .bk-touchMode-panel .btn-group label.focus,
        .bk-touchMode-panel .btn-group label:active:focus {
            color: #fff;
            box-shadow: none !important;
        }

    .bk-touchMode-panel .btn-group .btn-light:not(:disabled):not(.disabled).active {
        background: #00a2e2;
        color: #fff;
        border-color: #00a2e2;
    }

    .bk-touchMode-panel .btn-group .btn-light:not(.active) {
        background: #ABB9BF;
        color: #fff;
        border-color: #ABB9BF;
    }

.btn-touch {
    font-family: 'Source Sans Pro', semi-bold;
    border-radius: 35px;
    font-size: 20px;
    color: #ABB9BF;
    background-color: #fff;
    letter-spacing: -0.1px;
    text-align: left;
    line-height: 20px;
    font-weight: 600;
    height: 70px;
    min-width: 160px;
    max-width: 400px;
    overflow: hidden;
    flex-grow: 1;
}

    .btn-touch:focus {
        outline: 0;
        box-shadow: 0 0 0 3px rgba(0,162,226,.15);
    }

    .btn-touch .btn-touch-label,
    .btn-touch .btn-touch-title {
        vertical-align: middle;
    }

    .btn-touch .btn-touch-label {
        white-space: normal;
        max-height: 40px;
        overflow: hidden;
        display: block;
    }

    .btn-touch:not(.active) .btn-touch-label {
        display: none;
    }

    .btn-touch.active {
        background-color: rgba(0, 162, 226, 0.05);
        color: #00a2e2;
    }

    .btn-touch.pressed {
        background-color: #0090c9;
        color: #fff;
    }

    .btn-touch.active .btn-touch-icon {
        background-color: #00a2e2;
    }

    .btn-touch.pressed .btn-touch-icon {
        background-color: #fff;
    }

    .btn-touch.active .btn-touch-title {
        font-size: 11px;
        font-weight: 400;
        color: #ABB9BF;
        letter-spacing: 0;
        vertical-align: bottom;
        line-height: 12px;
        display: block;
    }

    .btn-touch.pressed .btn-touch-title {
        color: #fff;
    }

.btn-touch-icon {
    width: 52px;
    height: 52px;
    background-color: #ABB9BF;
    display: inline-block;
    border-radius: 27px;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 20px;
}

    .btn-touch-icon.class {
        background-image: url('../../images/Timetable/ico32-trida-inverse.svg');
    }

    .btn-touch-icon.teacher {
        background-image: url('../../images/Timetable/ico32-ucitel-inverse.svg');
    }

    .btn-touch-icon.room {
        background-image: url('../../images/Timetable/ico32-mistnost-inverse.svg');
    }

.btn-touch.pressed .btn-touch-icon.class {
    background-image: url('../../images/Timetable/ico32-trida.svg');
}

.btn-touch.pressed .btn-touch-icon.teacher {
    background-image: url('../../images/Timetable/ico32-ucitel.svg');
}

.btn-touch.pressed .btn-touch-icon.room {
    background-image: url('../../images/Timetable/ico32-mistnost.svg');
}

/** Only for IE **/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .btn-touch,
    .bk-system-baka,
    .bk-canvas-header .bk-canvas-title,
    .bk-canvas .bk-canvas-body {
        font-family: Source Sans Pro !important;
    }

    .bk-canvas a {
        width: 175px;
    }

    .bk-canvas .bk-canvas-body {
        width: 570px;
        display: flex;
        flex-wrap: wrap;
    }
}

/** Off-canvas menu **/

.bk-canvas {
    width: 0;
    position: fixed;
    z-index: 1;
    left: 0;
    background: rgba(255,255,255,0.5);
    overflow-x: hidden;
    max-width: 100vw;
    transition: transform 0.5s;
    transform: scaleX(0);
    transform-origin: left;
}

    .bk-canvas .bk-canvas-content {
        height: 100%;
    }

.bk-canvas-header {
    height: 52px;
    overflow: hidden;
}

    .bk-canvas-header .bk-canvas-title {
        font-family: Source Sans Pro;
        font-size: 16px;
        line-height: 52px;
        color: #758D96;
        letter-spacing: -0.08px;
        text-align: left;
        padding-left: 20px;
    }

    .bk-canvas-header .closebtn {
        position: absolute;
        top: 8px;
        right: 8px;
        font-size: 32px;
        margin-left: 50px;
        color: #758D96;
    }

        .bk-canvas-header .closebtn:hover {
            color: #0090c9;
            cursor: pointer;
        }

.bk-canvas .bk-canvas-body {
    padding: 20px;
    padding-top: 0;
    font-family: Source Sans Pro;
    font-size: 16px;
    height: calc(100% - 52px);
    display: grid;
    grid-template-columns: auto auto auto;
    max-width: 100vw;
    align-content: flex-start;
}

.bk-canvas a {
    line-height: 16px;
    padding: 0 9px;
    text-decoration: none;
    color: #566971;
    transition: 0.15s;
    font-weight: bold;
    max-width: 200px;
    min-width: 100px;
    height: 52px;
    overflow: hidden;
}

    .bk-canvas a > span {
        display: table-cell;
        height: 52px;
        max-width: 200px;
        text-align: left;
        vertical-align: middle;
    }

    .bk-canvas a:not(:last-child) {
        border-bottom: 1px solid #eceff0;
    }

    .bk-canvas a:hover {
        color: #fff;
        background-color: #0090c9;
    }

/******************************************************/

.bk-timetable-empty {
    position: absolute;
    left: 50%;
    top: 50%;
}

    .bk-timetable-empty > div {
        position: relative;
        left: -50%;
        background: #fff;
        padding: 15px 25px;
        border-radius: 3px;
        z-index: 2;
        color: #6F6F6F;
        text-align: center;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.15);
    }


@media (max-width: 1300px) {
    .bk-timetable-main .bk-timetable-row .day-name,
    .bk-timetable-main .bk-timetable-hours-wrapper .bk-timetable-dayEmptyPlace {
        min-width: 45px;
        width: 45px;
    }
}

@media (max-width: 800px) {
    .bk-timetable-main .bk-timetable-row .day-name,
    .bk-timetable-main .bk-timetable-hours-wrapper .bk-timetable-dayEmptyPlace {
        min-width: 30px;
        width: 30px;
    }
}